/*
 *  rti860.h
 *
 *  Copyright (C) 1995 Ralf Haller
 *  History: 11.05.95 birth
 *
 */


/*
 *  values for ioctl
 */
#define RTI860_SET_PAR	1
#define RTI860_GET_PAR	2
#define RTI860_RESET	3

/*
 * flags
 */
#define RTI860_F_PRESENT	(1<<0)
#define RTI860_F_OPEN		(1<<1)
#define RTI860_F_BUSY		(1<<2)
#define RTI860_F_IRQ		(1<<3)
#define RTI860_F_RESET		(1<<4)

#define RTI860_F_USER		(RTI860_F_RESET)

typedef enum {
  Channel1_4   = 0,
  Channel5_8   = 1,
  Channel9_12  = 2,
  Channel13_16 = 3,
  Channel1_16  = 4,
  Channel1_8   = 5,
  Channel9_16  = 6
} Channel;

typedef enum {
  Free         = 0,
  BereichPlus  = 1,
  BereichMinus = 2,
  PegelPlus    = 3,
  PegelMinus   = 4,
  TTLTrigger   = 5
} Trigger;

/*
 * parameter struct used for ioctl
 */
struct rti860_t
{
  unsigned int flags;		/* flags */
  unsigned long base;		/* base address */
  Channel channel;		/* channels to scan */
  Trigger trigger;		/* trigger mode */
  short int level;		/* trigger level */
  unsigned frequency;		/* frequency */
  unsigned short prescale;	/* prescaler for the frequency */
  unsigned short scale;		/* scale value for the frequency */
  int irq;			/* interrupt channel, -1 if none */
  struct timeval sleep_time;	/* */
  struct timeval timeout;	/* timeout */
};

typedef struct rti860_t Rti860;
