#ifndef __cmdline__
#define __cmdline__
/*****
  command line parser interface 
                        -- generated by clig (Version: 1995-11-22)

  The command line parser `clig':
  (C) 1995 Harald Kirsch (kir@iitb.fhg.de)
*****/

typedef struct s_Cmdline {
  /***** -s: do not print the settings of the driver */
  char silentP;
  /***** -c: channels to sample: 1,..,16, 1-4, 5-8, 9-12, 13-16, 1-8, 9-16, 1-16 */
  char channelP;
  char* channel;
  int channelC;
  /***** -r: restart driver and hardware on buffer/FIFO overflow */
  char restartP;
  int restart;
  int restartC;
  /***** -t: trigger mode: free, +edge, -edge, +level, -level, TTL */
  char triggerP;
  char* trigger;
  int triggerC;
  /***** -tl: relative trigger level, 0 for 0V */
  char triggerLevelP;
  int triggerLevel;
  int triggerLevelC;
  /***** -f: sampling frequency in Hz (don't use with -d */
  char frequencyP;
  int frequency;
  int frequencyC;
  /***** -d: divider for external clock (don't use with -f) */
  char dividerP;
  int divider;
  int dividerC;
  /***** -i: interrupt number to use (0 for polling mode) */
  char irqP;
  int irq;
  int irqC;
  /***** -pi: polling interval in jiffies (10ms) */
  char pollintP;
  int pollint;
  int pollintC;
  /***** -to: timeout in seconds for read operations (0: wait forever) */
  char timeoutP;
  int timeout;
  int timeoutC;
  /***** uninterpreted command line parameters */
  int argc;
  char **argv;
} Cmdline;


extern char *Program;
extern void usage(void);
extern Cmdline *parseCmdline(int argc, char **argv);

extern void showOptionValues(void);

#endif

